View Issue Details

IDProjectCategoryView StatusLast Update
0004329SymmetricDSBugpublic2022-08-08 16:16
Reporterbedenko Assigned To 
Prioritynormal 
Status feedbackResolutionopen 
Product Version3.11.7 
Summary0004329: auto.reload.reverse not working
Descriptionwith auto.reload.reverse=true being set on master, initial reverse reload is not being pushed from client to master.
Steps To Reproduceclean installation on master and client.
Created table TBL_01 on master.
inserted standard sym_node, sym_node_group, sym_node_group_link, sym_trigger, sym_router, sym_trigger_router plus additional sym_transform_table:
insert into sym_transform_table(transform_id,source_node_group_id,target_node_group_id,transform_point,source_table_name,target_table_name,delete_action,column_policy) values
('table1', 'group1', 'master', 'Load', 'TBL', 'TBL_01', 'DEL_ROW', 'IMPLIED');

Additional Informationin sym_node_security rev_initial_load_enabled is set to 1 and this is pulled to client, but initial reload is still not being pushed to master.
Tagsconfiguration, data sync

Activities

bedenko

2020-04-03 17:52

reporter   ~0001693

Additional info:
Client engine is Firebird, server engine is mysql.

Also initial.load.create.first is not working, but that can be a separate issue.

bedenko

2020-04-03 18:17

reporter   ~0001694

And associated config...
config.txt (2,013 bytes)   
insert into sym_node_group (node_group_id)
values ('group-001');

insert into sym_node_group_link (source_node_group_id, target_node_group_id, data_event_action) values
('server', 'group-001', 'W'),
('group-001', 'server', 'P');

insert ignore into sym_trigger (trigger_id,source_table_name,channel_id,last_update_time,create_time) values
('table1','table1','default',current_timestamp,current_timestamp),
('table2','table2','default',current_timestamp,current_timestamp),
('table3','table3','default',current_timestamp,current_timestamp),
('table4','table4','default',current_timestamp,current_timestamp),
('table5','table5','default',current_timestamp,current_timestamp);

INSERT INTO sym_router(router_id,source_node_group_id,target_node_group_id,router_type,create_time,last_update_time)
VALUES('client_001_server','group-001','server','default',current_timestamp,current_timestamp);

insert into sym_trigger_router (trigger_id,router_id,initial_load_order,last_update_time,create_time) values
('table1','client_001_server', 100, current_timestamp, current_timestamp),
('table2','client_001_server', 100, current_timestamp, current_timestamp),
('table3','client_001_server', 100, current_timestamp, current_timestamp),
('table4','client_001_server', 100, current_timestamp, current_timestamp),
('table5','client_001_server', 90, current_timestamp, current_timestamp);

insert into sym_transform_table(transform_id,source_node_group_id,target_node_group_id,transform_point,source_table_name,target_table_name,delete_action,column_policy) values
('table1_001', 'group-001', 'server', 'Load', 'table1', 'table1_001', 'DEL_ROW', 'IMPLIED'),
('table2_001', 'group-001', 'server', 'Load', 'table2', 'table2_001', 'DEL_ROW', 'IMPLIED'),
('table3_001', 'group-001', 'server', 'Load', 'table3', 'table3_001', 'DEL_ROW', 'IMPLIED'),
('table4_001', 'group-001', 'server', 'Load', 'table4', 'table4_001', 'DEL_ROW', 'IMPLIED'),
('table5_001', 'group-001', 'server', 'Load', 'table5', 'table5_001', 'DEL_ROW', 'IMPLIED');
config.txt (2,013 bytes)   
client.properties (355 bytes)
master.properties (276 bytes)

emiller

2022-08-08 16:16

developer   ~0002147

I tested setting auto.reload.reverse=true with a MySQL server node and a Firebird client node. I also set up a load transform for the table name just like the one that you provided. When I registered a new client node, the client created an initial load and pushed it to the server as expected. It's possible that this issue has already been resolved in some version later than 3.11.7.

Can you upgrade to the latest version of SymmetricDS and see if you still encounter this issue?

Issue History

Date Modified Username Field Change
2020-03-26 16:33 bedenko New Issue
2020-03-26 16:33 bedenko Tag Attached: configuration
2020-03-26 16:33 bedenko Tag Attached: data sync
2020-04-03 17:52 bedenko Note Added: 0001693
2020-04-03 18:17 bedenko File Added: config.txt
2020-04-03 18:17 bedenko File Added: client.properties
2020-04-03 18:17 bedenko File Added: master.properties
2020-04-03 18:17 bedenko Note Added: 0001694
2022-08-08 16:16 emiller Note Added: 0002147
2022-08-08 16:16 emiller Status new => feedback